FAILOVER API
- POST applydefaultrouting
- POST failovermachine
- POST restoremachine
- GET settings
- GET understudytargets
POST applydefaultrouting
Summary
Apply default matrix feed routing, to restore it back to normal state after restoring a machine
URL
POST /api/session/failover/applydefaultrouting
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST failovermachine
Summary
Fail over a single actor machine
URL
POST /api/session/failover/failovermachine
Request
{
"machine": {
"uid": "",
"name": ""
}
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST restoremachine
Summary
Restore a single previously-failed actor machine
URL
POST /api/session/failover/restoremachine
Request
{
"machine": {
"uid": "",
"name": ""
}
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
GET settings
Summary
Get session-wide failover settings
URL
GET /api/session/failover/settings
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
},
"timeout": 0,
"normalPreset": "",
"currentPreset": ""
}
GET understudytargets
Summary
List targets for every understudy in the session
URL
GET /api/session/failover/understudytargets
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
},
"understudies": {}
}